Subject: RE: MPE Question

From: <[email-masked]>
Date: Fri, 29 Apr 2005 12:36:02 +0300

Hi

An important feature of DVB-H is time slicing and to ensure that data of a single packet is not spread into mutliple slices/bursts (hence avoiding keeping additional data and context for prolonged time), thus a single (DVB-H) MPE section must not have only part of an IP packet. I haven't been following the lower layers so closely recently, but I would be very suprised to find this changed for DVB-H.

In a sense DVB-H IP encapsulation is a profile of DVB data broadcast encapsulation, so it shouldn't be supprising that the latter offers a superset of features from the former.

All the MPE clients I've had the fortune to play with have supported packing (but that's only a few), but personally I've have problems with encapsulators forcably waiting to "fill up" sections. My experience from DVB-H onwards was less troublesome (because we became much more choosy about encapsulators). (Nowadays I'm not in touch with broadcast MAC so much).

So far, a complelling case to allow fragmentation over MPE sections for DVB-H has not been presented, whereas the opposite (the cost of doing so over bursts, and the consideration that it adds insignificant value anyway) has been accepted. (Noting that no DVB-H use case requires anything close to exceeding the 4KB MPE MTU in IP packet length).

Hope that's useful.

Cheers, Rod.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of ext Siva Veerepalli
> Sent: Thursday, April 28, 2005 3:36 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: MPE Question
> 
> 
> A couple of questions about MPE-FEC framing.
> 
> 1. The interim IP datacast standard A079 (meant to
> facilitate DVB-H trials) specifies that only one
> datagram should be used per MPE section i.e., no
> fragmentation of IP datagram over multiple MPE
> sections. However, the DVB Databroadcast specification
> allows fragmentation of the IP datagram over multiple
> sections. Does anyone know what the usual practice is?
> Do the final DVB/IP datacast standards specify this
> for DVB-H?
> 
> 2. The MPE section has optional stuffing bytes at the
> end of the section. Are these used? If yes, for what?
> 
> 
> thanks,
> Siva
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around 
> http://mail.yahoo.com 
>